﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Data.View {
  public partial class CommandViewDialog : Form {
    public CommandViewDialog() {
      InitializeComponent();
      this.FormBorderStyle = FormBorderStyle.FixedDialog;
    }

    private void Panel_ControlAdded(object sender, ControlEventArgs e) {
      int width = e.Control.Size.Width + 10;
      int heigth = e.Control.Size.Height + 80;
      Panel.Size = new Size(e.Control.Size.Width, e.Control.Size.Height);
      this.Size = new Size(width, heigth);
      this.Refresh();
    }
  }
}
